<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
    <title>ProjectUno</title>
</head>

<body>
    <header>
        <nav class="navbar navbar-expand-lg" style="background-color: #90f6c3;">
            <div class="container-fluid">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'show_my_tasks' %}">My tasks</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'list_projects' %}">My projects</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'logout' %}">Logout</a>
                    </li>
                    {% else %}
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="{% url 'login' %}">Login</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'signup' %}">Signup</a>
                    </li>
                    {% endif %}
                </ul>
            </div>
        </nav>
    </header>
    {% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create New Project</a>
            </p>
            {% if projects.exists %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for project in projects %}
                    <tr>
                        <td>
                            <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                        </td>
                        <td>{{ project.tasks.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            {% else %}
            <p>You are not assigned to any projects</p>
            {% endif %}
        </div>
    </main>
    {% endblock content %}
</body>

</html>